LibreOffice LibreOffice 25.2 SDK API Reference

Public Types | Public Attributes | List of all members
XGlobalSheetSettings Interface Referencepublished

`import"XGlobalSheetSettings.idl";`

Inheritance diagram for XGlobalSheetSettings:

## Public Types
typedef sequence< string > | UserLists
| contains the string lists used for sorting and filling. More...

## Public Attributes
boolean | MoveSelection
| specifies whether the cursor is moved after entering into cells. More...
short | MoveDirection
| contains the direction the cursor moves after entering cells. More...
boolean | EnterEdit
| specifies whether the enter key can be used to start editing a cell. More...
boolean | ExtendFormat
| specifies whether cell formatting is extended when entering data. More...
boolean | RangeFinder
| specifies whether ranges are highlighted on the sheet when editing a formula. More...
boolean | ExpandReferences
| specifies whether formula references are extended when cells are inserted below or to the right of them. More...
boolean | MarkHeader
| specifies whether the current selection is highlighted in column and row headers. More...
boolean | UseTabCol
| specifies whether the enter key moves the cursor to the column it was in before using the tab key to change columns. More...
short | Metric
| contains the metric for all spreadsheet documents. More...
short | Scale
| contains the default scale for new spreadsheet documents (in percent). More...
boolean | DoAutoComplete
| specifies whether automatic completion of text in a cell is used. More...
short | StatusBarFunction
| contains the function that is displayed in the status bar. More...
short | LinkUpdateMode
| specifies the update mode for external linked data. More...
boolean | PrintAllSheets
| specifies whether all sheets or only selected sheets are printed. More...
boolean | PrintEmptyPages
| specifies whether empty pages are printed. More...
boolean | UsePrinterMetrics
| specifies whether printer metrics are used for display. More...
boolean | ReplaceCellsWarning
| specifies whether a warning is shown before replacing cells (i.e. More...

## Detailed Description

Since
  LibreOffice 4.1

## Member Typedef Documentation

## ◆ UserLists

sequence< string > UserLists
| attribute

contains the string lists used for sorting and filling.

Each string contains the members of a list, separated by commas.

## Member Data Documentation

## ◆ DoAutoComplete

boolean DoAutoComplete
| attribute

specifies whether automatic completion of text in a cell is used.

## ◆ EnterEdit

boolean EnterEdit
| attribute

specifies whether the enter key can be used to start editing a cell.

## ◆ ExpandReferences

boolean ExpandReferences
| attribute

specifies whether formula references are extended when cells are inserted below or to the right of them.

## ◆ ExtendFormat

boolean ExtendFormat
| attribute

specifies whether cell formatting is extended when entering data.

## ◆ LinkUpdateMode

short LinkUpdateMode
| attribute

specifies the update mode for external linked data.

0 = always

1 = never

2 = on demand

## ◆ MarkHeader

boolean MarkHeader
| attribute

specifies whether the current selection is highlighted in column and row headers.

## ◆ Metric

short Metric
| attribute

contains the metric for all spreadsheet documents.

See also
  com::sun::star::util::MeasureUnit

## ◆ MoveDirection

short MoveDirection
| attribute

contains the direction the cursor moves after entering cells.

See also
  com::sun::star::sheet::MoveDirection

## ◆ MoveSelection

boolean MoveSelection
| attribute

specifies whether the cursor is moved after entering into cells.

## ◆ PrintAllSheets

boolean PrintAllSheets
| attribute

specifies whether all sheets or only selected sheets are printed.

## ◆ PrintEmptyPages

boolean PrintEmptyPages
| attribute

specifies whether empty pages are printed.

## ◆ RangeFinder

boolean RangeFinder
| attribute

specifies whether ranges are highlighted on the sheet when editing a formula.

## ◆ ReplaceCellsWarning

boolean ReplaceCellsWarning
| attribute

specifies whether a warning is shown before replacing cells (i.e.

when pasting from clipboard).

## ◆ Scale

short Scale
| attribute

contains the default scale for new spreadsheet documents (in percent).

There are several special values:

-1 = Optimal width

-2 = Show whole page

-3 = Page width

## ◆ StatusBarFunction

short StatusBarFunction
| attribute

contains the function that is displayed in the status bar.

See also
  com::sun::star::sheet::StatusBarFunction

## ◆ UsePrinterMetrics

boolean UsePrinterMetrics
| attribute

specifies whether printer metrics are used for display.

## ◆ UseTabCol

boolean UseTabCol
| attribute

specifies whether the enter key moves the cursor to the column it was in before using the tab key to change columns.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XGlobalSheetSettings.idl